### Method

# GWeather Location get_country_name

#### Declaration [src]

    char*
    gweather_location_get_country_name (
      GWeatherLocation* loc
    )

#### Description [src]

Retrieves the country name for the given location.

For a `GWEATHER_LOCATION_COUNTRY` location, this is equivalent to `gweather_location_get_name()`.

For a `GWEATHER_LOCATION_REGION` and `GWEATHER_LOCATION_WORLD` location, this method will return `NULL`.

For other location levels, this method will find the parent `GWEATHER_LOCATION_COUNTRY` and return its name.

#### Return value

Type: `char*`

The location’s country name.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.